Subject: [art] The need for a whois email registry

From: [email-masked]
Date: Wed, 01 Aug 2018 04:36:47 -0600

if i recieve a email from [email-masked] Claiming to be
someone Richard Jones, i would believe him.The emailer behind the
screen might not be Richard Jones, but Ibrahim lamorde. Ibrahim lamorde
can spam me and i can get distracted by the spam. I am Pradeep Xplorer
and i can rent europa.com and supress my whois europa.com and
get away with distracting someone. The only way a senders identity
can be confirmed is by a registry thats has some authority who
comply by being a netizen and verifying the identity of the registrant
of email in some other netizen friendly mechanism.

If i do whois [email-masked] it should show Ibrahim lamorde
authorised and i can report him as a spammer claiming to be
someone else and it can be verified by the contents of email
he has send and next time i do whois [email-masked] it would
show Ibrahim lamorde unauthorised.

There are probably millions of fake ids in social media tools
like facebook and twitter wasting thousands of hours. Facebook and twitter
expecting an email but hiding it is to me encouraging cybercrime.